﻿@media screen
    /*and (-webkit-min-device-pixel-ratio: 1), screen and (max--moz-device-pixel-ratio: 1)*/

/*@media screen and (-webkit-min-device-pixel-ratio: 2), screen and (max--moz-device-pixel-ratio: 2) {*/
  
    /*Global handlers for responsive behavior */
    
    
    /*left sidebar for showing clues or other options*/

    .main_container .container .left {
        height: 100%;
        width: 208px;
        display: inline-block;
        float: left;
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

        .main_container .container .left .puzzle_clue {
            height: auto;
            width: 208px;
            border-top: 1px dotted #ccc;
        }

            .main_container .container .left .puzzle_clue .clue {
                margin: 0;
            }

                .main_container .container .left .puzzle_clue .clue div {
                    width: 160px;
                    padding: 5px 0;
                    display: inline-block;
                }

                    .main_container .container .left .puzzle_clue .clue div b {
                        width: 20px;
                        display: inline-block;
                        margin: 0 10px 0 0;
                        text-align: right;
                    }

                    .main_container .container .left .puzzle_clue .clue div span {
                        width: 130px;
                        display: inline-block;
                        margin: 0;
                        text-align: left;
                        vertical-align: text-top;
                    }

            .main_container .container .left .puzzle_clue .clue_header {
                width: 100%;
                height: 20px;
                margin-top: 10px;
            }

                .main_container .container .left .puzzle_clue .clue_header .text {
                    width: auto;
                    margin-right: 10px;
                    text-transform: uppercase;
                    font-size: 14px;
                    font-weight: bold;
                    float: left;
                }

                .main_container .container .left .puzzle_clue .clue_header img {
                    width: 20px;
                    height: 20px;
                    float: left;
                }

            .main_container .container .left .puzzle_clue .clues {
                width: 100%;
                margin: 5px 0;
                height: 220px;
                display: block;
                overflow-y: scroll;
                font-size: 14px;
                color: #333333;
                font-weight: normal;
            }

                .main_container .container .left .puzzle_clue .clues .clue {
                    cursor: pointer;
                    margin-right: 20px;
                }
    /*right sidebar for showing main game*/
 
    /*game board title bar*/
    .container .right .direction_title {
      display:none;
    }
    .container .right .board_title {
        height: 30px;
        width: 100%;
        background: #1fa7ff url('../images/board_title_xp_bg.png') repeat-x;
        color: white;
        text-align: center;
        overflow:hidden;
    }
     .board_title.mobile-only-bottom {display:none;}
        .container .right .board_title .left {
            width: 41px;
            height: 100%;
            float: left;
            margin: 0;
            background: #1fa7ff url('../images/board_title_left_bg.png') no-repeat;
            cursor: pointer;
        }

        .container .right .board_title .right {
            width: 41px;
            height: 30px;
            float: right;
            margin: 0;
            background: #1fa7ff url('../images/board_title_right_bg.png') no-repeat;
            cursor: pointer;
            overflow:hidden;
        }

        .container .right .board_title .middle {
            padding: 5px 0 0 5px;
            font-weight: bold;
            text-align: center;
            display: inline-block;
            /*float:left;*/
        }

            .container .right .board_title .middle .number {
                width: 41px;
                height: 100%;
                float: left;
            }

            .container .right .board_title .middle .arrow {
                width: 18px;
                height: 18px;
                display: inline-block;
                float: left;
                background: #1fa7ff url('../images/board_title_arrow_bg.png') 0px 0px no-repeat;
            }

            .container .right .board_title .middle .text {
               /* max-width: 90%;
                float: right;*/
               /* height: 20px;
                line-height: 20px;
                white-space: pre-wrap;*/
                /*overflow: hidden;*/
                /*text-overflow: ellipsis;*/
                /*float: right;
                margin-left: 10px;*/
            }

            .container .right .board_title .middle div, .container .right .board_title .middle div span {
                color: #ffffff;
            }

    .container .right .board {
        width: 500px;
        height: 500px;
        margin: 10px auto;
    }

        .container .right .board table#canvas {
            width: 100%;
            height: 100%;
            border: 1px inset #EFEFEF;
        }

            .container .right .board table#canvas tr td {
                position: relative;
                border: 1px outset #EFEFEF;
                text-align: left;

            }

                .container .right .board table#canvas tr td span {
                    width: 27px;
                    padding-left: 4px;
                    height: 10px;
                    margin: 0px;
                    font-size: 8px;
                }

                .container .right .board table#canvas tr td div {
                    width: 31px;
                    height: 25px;
                    margin: -3px 0;
                    font-weight: bold;
                    font-size: 20px;
                    text-align: center;
                    text-transform: uppercase;
                }

    .container .right #inp {
        width: 30px;
        height: 30px;
        padding: 0;
        border: 0;
        outline-offset: 0px;
        font-size: 20px;
        font-weight: bold;
        text-transform: capitalize;
        background-color: transparent;
        z-index:500px;
        opacity:0;
    }
    .middle  {
        width: 395px;
        height: 20px;
        /*border: 1px solid black;*/
        overflow: hidden;
        font-size: 1.1em;
    }
    .black {
        text-align: center;
        background: rgba(32, 31, 31, 0.89);
        border: 1px solid rgba(49, 49, 49, 0)!important;
    }
        .black > img {
            /*display: none;*/
        }
    .wrong {
        color: #e00;
    }

    .solved {
        color: #696;
    }

    .selected_cell {
        background-color: #e2f2f2;
        /*-moz-box-shadow: inset 0 0 2px 2px #FDE2F9;
        -webkit-box-shadow: inset 0 0 2px 2px #FDE2F9;
        box-shadow: inset 0 0 2px 2px #FDE2F9;*/
    }

    .selected_cell_first {
        background-color: #99ccff;
    }

    .selected {
        background-color: rgba(152, 204, 255, 1);
        -webkit-border-radius: 5px;
        border-radius: 5px;
    }

    .inactiveselected {
        background-color: rgba(152, 204, 255, .4);
        -webkit-border-radius: 5px;
        border-radius: 5px;
    }

    .hover {
        background-color: #EDB6F8;
    }

    /* Android Bug Overlay */

    .overlay_bug {
        display: none;
        opacity: 0;
        height: 205px;
    }

    .overlay_bug .popup_title {
        color: #333333;
    }

    .overlay_bug .popup_title span {
        color: #009cff;
    }

    .overlay_bug p {
        width: 300px;
        text-align: center;
    }

    .overlay_bug div.popup_buttons {
        background: #E8E8E8;
        -webkit-border-radius: 3px;
        -moz-border-radius: 3px;
        border-radius: 3px;
        border: 1px solid rgb(178, 178, 178);
        width: 95px;
    }

    /*---------------------------previous css--------------------------------*/
    /*
     *  © 2011 Pyntail, LLC
     *  5777 W. Century Blvd. Suite 1250 Los Angeles,
     *  CA 90045 / info@pyntail.com / (310) 692 4348
     */

    #canvas input:active, #canvas_roundup input:active {
        border: 0px solid #d2d2d2;
    }

    #canvas tr, #canvas td {
        font-size: 20px;
        padding: 0;
        margin: 0;
    }

    #down, #across {
        display: block;
        margin: 20px 0 0 0px;
        background: rgba(0, 0, 0, 0.2);
    }

    #across, #down {
        position: absolute;
        margin: 10px 0 0 0px;
    }

    .clue_arrow {
        margin: 0 auto;
        display: block;
        margin: 2px auto;
        width: 12px;
        height: 15px;
        width: 90%;
        padding: 2px;
        background-position: center;
        background-repeat: no-repeat;
    }

    #tca, #tcd {
        background-image: url('../images/up_arrow.png');
    }

    #dca, #dcd {
        background-image: url('../images/down_arrow.png');
    }

    #across_clues:hover, #down_clues {
        border: 0px;
    }
    .container {
    position:relative;
    width:inherit;
    height:inherit;
    padding: 0 0 0 0;
    }

    .loader{
    position:absolute;
    top:-10px;
    left:0;
    width:100%;
    height:105%;
    background:rgba(255,255,255, .8) url('/game/crossword/images/ajax-loader.gif') no-repeat 50%;
    z-index:99999;
    }
    #next_clue {
        overflow:hidden;
    }
    #downNaN {
        display:none;
    }
    table#canvas tr td span{
    float:left;

}
table#canvas tr td div{
    float:right;

}
td {

}




@media only screen and (max-width : 1023px) and (min-device-width : 733px)  {

  .main_container .container .left .puzzle_clue .clue div span {
    width: 177px;
    display: inline;
    }
    .container .right .board_title.mobile-only-bottom, img.mobile-only {
    display:none;
    }
  
}

@media only screen and (max-width : 640px) {

      /*and (-webkit-min-device-pixel-ratio: 1), screen and (max--moz-device-pixel-ratio: 1)*/

  /*@media screen and (-webkit-min-device-pixel-ratio: 2), screen and (max--moz-device-pixel-ratio: 2) {*/

      div#puzzle_name.game_title {
        display:none;
      }
      .main_container .game_menu_container{
        height:20px;
        padding:10px 0 10px 0;
      }
     .container .right .board_title.mobile-only-bottom, img.mobile-only {
      display:none;
      }
      .container .right .board_title .middle{
        min-height:60px;
      }
      /*Game specific overrides for common@1x.css */
      .main_container {height: 690px;}
      /*left sidebar for showing clues or other options*/
     
      .main_container .container .left {

          -webkit-touch-callout: none;
          -webkit-user-select: none;
          -khtml-user-select: none;
          -moz-user-select: none;
          -ms-user-select: none;
          user-select: none;
      }

          .main_container .container .left .puzzle_clue {
              height: auto;
              width: 208px;
              border-top: 1px dotted #ccc;
          }

              .main_container .container .left .puzzle_clue .clue {
                  margin: 0;
              }

                  .main_container .container .left .puzzle_clue .clue div {
                      width: 160px;
                      padding: 5px 0;
                      display: inline-block;
                  }

                      .main_container .container .left .puzzle_clue .clue div b {
                          width: 20px;
                          display: inline-block;
                          margin: 0 10px 0 0;
                          text-align: right;
                      }

                      .main_container .container .left .puzzle_clue .clue div span {
                          width: 130px;
                          display: inline-block;
                          margin: 0;
                          text-align: left;
                          vertical-align: text-top;
                      }

              .main_container .container .left .puzzle_clue .clue_header {
                  width: 100%;
                  height: 20px;
                  margin-top: 10px;
              }

                  .main_container .container .left .puzzle_clue .clue_header .text {
                      width: auto;
                      margin-right: 10px;
                      text-transform: uppercase;
                      font-size: 14px;
                      font-weight: bold;
                      float: left;
                  }

                  .main_container .container .left .puzzle_clue .clue_header img {
                      width: 20px;
                      height: 20px;
                      float: left;
                  }

              .main_container .container .left .puzzle_clue .clues {
                  width: 100%;
                  margin: 5px 0;
                  height: 220px;
                  display: block;
                  overflow-y: scroll;
                  font-size: 14px;
                  color: #333333;
                  font-weight: normal;
              }

                  .main_container .container .left .puzzle_clue .clues .clue {
                      cursor: pointer;
                      margin-right: 20px;
                  }
      /*right sidebar for showing main game*/
      .main_container .container .right {
          height: 100%;
          width: 100%;
          margin: 0px;
          display: inline-block;
          float: none;
      }
      /*game board title bar*/
      .container .right .direction_title {
        display:none;
        width:100%;
        text-align: center;
        font-size: 12px;
        color:#;
      }
      .container .right .board_title {
          height: 60px;
          background: #1fa7ff;
          color: white;
          text-align: center;
          overflow:hidden;
          font-size: .7em;
          display: flex;
          justify-content:space-between;
      }
      
       .container .right .board_title.mobile-only-bottom {
      margin-bottom: 40px;
      display:flex;
    }
      .container .right .board_title.mobile-only {
          height: 30px;
          width: 101%;
          background: #1fa7ff;
          color: white;
          text-align: center;
          overflow:hidden;
          font-size: .7em;
          margin-bottom:30px;
          
      }

          .container .right .board_title .left {
              background: #1fa7ff url('../images/board_title_left_xp_bg.png') no-repeat 0px 0px;
              cursor: pointer;
              padding:0;
              width:45px !important;
          }

          .container .right .board_title .right {
              background: #1fa7ff url('../images/board_title_right_xp_bg.png') no-repeat 0px 0px;
              cursor: pointer;
              overflow:hidden;
              height:100%;
              padding:0;
              width:45px !important;
          }

          .container .right .board_title .middle {
              font-weight: bold;
              display: flex;
              padding:0;
              width:100%;
              /*margin:auto;*/
              max-width: 230px;
          }
              .container .right .board_title .middle .num_arw_hldr{
                flex-direction:column !important;
                height: 60px !important;
                align-items:center !important;
                padding-top:15px !important;
              }
              .container .right .board_title .middle .number {
                  font-size: 1.6em;
                  font-weight: normal;
                  line-height: 1;
                  /*width:100%;*/
                  position: relative;
                  top:15px;
              }

              .container .right .board_title .middle .arrow {
                  padding-top:10px;
                  width: 19px;
                  height: 10px;
                  margin-top:35px;
                  margin-left:-28px;
                  margin-right:6px;
                  position:relative;
              }
              .container .right .board_title .middle #title_clue_arrow_btm {
                  width: 18px;
                  height: 50px;
                  background: #1fa7ff url('../images/board_title_arrow_xp_bg.png') 0px 0px no-repeat;         
                 
              }

              .container .right .board_title .middle .text {
                 max-width: 250px;
                 font-size: 1.2em;
                 font-weight: normal;
                 line-height: 1;
                 align-self:center;
              }

              .container .right .board_title .middle div, .container .right .board_title .middle div span {
                  color: #ffffff;
              }

      .container .right .board {
          width: 100%;
          height: 437px;
          margin: 5px auto;
      }

          .container .right .board table#canvas {
              width: 100%;
              height: 100%;
              border: 1px inset #EFEFEF;
          }

              .container .right .board table#canvas tr td {
                  position: relative;
                  border: 1px solid #C8C5C5;;
                  text-align: left;

              }

                  .container .right .board table#canvas tr td span {
                      width: 13px;
                      padding-left: 4px;
                      height: 10px;
                      margin: 0px;
                      font-size: 8px;
                  }

                  .container .right .board table#canvas tr td div {
                      width: 18px;
                      height: 23px;
                      margin: -3px 0;
                      font-weight: bold;
                      font-size: 20px;
                      text-align: center;
                      text-transform: uppercase;
                  }

      .container .right #inp {
          width: 30px;
          height: 30px;
          padding: 0;
          border: 0;
          outline-offset: 0px;
          font-size: 20px;
          font-weight: bold;
          text-transform: capitalize;
          background-color: transparent;
          z-index:500px;
      opacity:0;
      }

      .black {
          text-align: center;
          background: rgba(32, 31, 31, 0.89);
          border: 1px solid rgba(49, 49, 49, 0)!important;
      }
          .black > img {
              display: none;
          }
      .wrong {
          color: #e00;
      }

      .solved {
          color: #696;
      }

      .selected_cell {
          background-color: #e2f2f2;
          /*-moz-box-shadow: inset 0 0 2px 2px #FDE2F9;
          -webkit-box-shadow: inset 0 0 2px 2px #FDE2F9;
          box-shadow: inset 0 0 2px 2px #FDE2F9;*/
      }

      .selected_cell_first {
          background-color: #99ccff;
      }

      .selected {
          background-color: #e2f2f2;
          -webkit-border-radius: 5px;
          border-radius: 5px;
      }

      .inactiveselected {
          background-color: #f0fcfc;
          -webkit-border-radius: 5px;
          border-radius: 5px;
      }

      .hover {
          background-color: #EDB6F8;
      }

      /* Android Bug Overlay */

      .overlay_bug {
          display: none;
          opacity: 0;
          height: 205px;
      }

      .overlay_bug .popup_title {
          color: #333333;
      }

      .overlay_bug .popup_title span {
          color: #009cff;
      }

      .overlay_bug p {
          width: 300px;
          text-align: center;
      }

      .overlay_bug div.popup_buttons {
          background: #E8E8E8;
          -webkit-border-radius: 3px;
          -moz-border-radius: 3px;
          border-radius: 3px;
          border: 1px solid rgb(178, 178, 178);
          width: 95px;
      }

      /*---------------------------previous css--------------------------------*/
      /*
       *  © 2011 Pyntail, LLC
       *  5777 W. Century Blvd. Suite 1250 Los Angeles,
       *  CA 90045 / info@pyntail.com / (310) 692 4348
       */

      #canvas input:active, #canvas_roundup input:active {
          border: 0px solid #d2d2d2;
      }

      #canvas tr, #canvas td {
          font-size: 20px;
          padding: 0;
          margin: 0;
      }

      #down, #across {
          display: block;
          margin: 20px 0 0 0px;
          background: rgba(0, 0, 0, 0.2);
      }

      #across, #down {
          position: absolute;
          margin: 10px 0 0 0px;
      }

      .clue_arrow {
          margin: 0 auto;
          display: block;
          margin: 2px auto;
          width: 12px;
          height: 15px;
          width: 90%;
          padding: 2px;
          background-position: center;
          background-repeat: no-repeat;
      }

      #tca, #tcd {
          background-image: url('../images/up_arrow.png');
      }

      #dca, #dcd {
          background-image: url('../images/down_arrow.png');
      }

      #across_clues:hover, #down_clues {
          border: 0px;
      }
      .container {
      position:relative;
      width:inherit;
      height:inherit;
      padding: 0 0 0 0;
      }

      .loader{
      position:absolute;
      top:-10px;
      left:0;
      width:100%;
      height:105%;
      background:rgba(255,255,255, .8) url('images/ajax-loader.gif') no-repeat 50%;
      z-index:99999;
      }
      #next_clue {
          overflow:hidden;
      }
      #downNaN {
          display:none;
      }
      table#canvas tr td span{
      float:left;

  }
  table#canvas tr td div{
      float:right;

  }
  td {

  }

  }
  
}

@media only screen (max-width : 360px)  {
    .container .right .board_title .middle{
      width:70%;
    }
}

@media only screen and (min-width: 375px) and (max-width: 667px) and (orientation: portrait) { 
  .container .right .board_title .middle {
    max-width: 280px;
  }
  .container .right .board_title .middle .text{
    max-width: 260px;
  }
}
@media only screen and (min-width: 414px) and (max-width: 736px) and (orientation: portrait) { 
  .container .right .board_title .middle {
    max-width: 300px;
  }
  .container .right .board_title .middle .text{
    max-width: 280px;
  }
}